*
*--
*-- Material numbers
*--
*
*-- General meterials
*
      INTEGER MAMYLR, MAKAPT
      INTEGER MAG10,  MAPYRX, MAPMMA
*      INTEGER MASUS
      PARAMETER (MAMYLR = 21, MAKAPT = 22)
      PARAMETER (MAG10  = 23, MAPYRX = 24, MAPMMA = 25)
*      PARAMETER (MASUS  = 10)
*
*     MAGAS1: He:C2H6 = 50:50
*     MAGAS2: He:C2H6 = 90:10
*     MAGAS3: pure He
*     MAGAS4: He:C2H6 = 70:30
*
      INTEGER MAGAS1, MAGAS2, MAGAS3, MAGAS4
      PARAMETER (MAGAS1 = 41, MAGAS2 = 42, MAGAS3 = 43)
      PARAMETER (MAGAS4 = 44)
*
*     MACGAS: chamber gas
*
      INTEGER MACGAS
      PARAMETER (MACGAS = 40)
*
*     MATRSC: e+ timing counter scintillator
*
      INTEGER MATFSC
      PARAMETER (MATFSC = 61)
*
*     MAXELQ: liquid Xe
*
      INTEGER MAXELQ
      PARAMETER (MAXELQ = 71)
*
*     MAXEHC: Honeycomb core
*
      INTEGER MAXEHC
      PARAMETER (MAXEHC = 74)
*
*     MAQGLS: quartz glass
*
      INTEGER MAQGLS
      PARAMETER (MAQGLS = 76)
*
*     MASUS304: SUS-304
*     MASUS316: SUS-316
      INTEGER MASUS304, MASUS316
      PARAMETER (MASUS304 = 77,MASUS316 = 78)
*
*     MAGOLD: Gold
*
      INTEGER MAGOLD
      PARAMETER (MAGOLD = 79)
*
*--
*-- Tracking medium numbers
*--
*
*     TMMEG : MEG volume
*
      INTEGER TMMEG
      PARAMETER (TMMEG  = 1)
*
*     TMPIPE: inside (beam) pipe
*
      INTEGER TMPIPE
      PARAMETER (TMPIPE = 2)
*
*     TMVACU: vacuum with B
*     TMVACS: vacuum with B for sensitive volume
*
      INTEGER TMVACU, TMVACS
      PARAMETER (TMVACU = 3, TMVACS = 4)
*
*     TMHE:   pure He gas
*
      INTEGER TMHE
      PARAMETER (TMHE = 5)
*
*     TMCOAL: coil aluminum
*
      INTEGER TMCOAL
      PARAMETER (TMCOAL = 31)
*
*     TMCGAS: chamber gas
*     TMTRGT: target
*     TMDGRD: degrader to stop spiraling tracks
*
      INTEGER TMCGAS, TMTRGT, TMDGRD
      PARAMETER (TMCGAS = 40, TMTRGT = 41, TMDGRD = 42)
*
*     TMCWL1: chamber wall, center
*     TMCWL2: chamber wall, outer
*
      INTEGER TMCWL1, TMCWL2
      PARAMETER (TMCWL1 = 51, TMCWL2 = 52)
*
*     TMTFSC: scintillator of the positron timing counters
*
      INTEGER TMTFSC
      PARAMETER (TMTFSC = 61)
*
*     TMXEVS: vessel of the liquid Xe detector
*     TMXELQ: liquid Xe
*     TMXEVA: vacuum in Xe vessel
*     TMHCVA: vacuum in realistic honeycomb core
*     TMXEHP: honeycomb surface plate
*     TMXEHC: honeycomb core
*     TMXEAW: aluminum window (large prototype)
*     TMAMFM:Gold Am source film
*     TMAMPL: SUS304 Am source plate
*     TMHCPL: SUS316 realistic honeycomb core
*
      INTEGER TMXEVS
      PARAMETER (TMXEVS = 70)
      INTEGER TMXELQ
      PARAMETER (TMXELQ = 71)
      INTEGER TMXEVA
      PARAMETER (TMXEVA = 72)
      INTEGER TMXEHP, TMXEHC
      PARAMETER (TMXEHP = 73, TMXEHC = 74)
      INTEGER TMXEAW
      PARAMETER (TMXEAW = 75)
      INTEGER TMHCVA
      PARAMETER (TMHCVA = 84)
      INTEGER TMHCPL
      PARAMETER (TMHCPL = 85)
      INTEGER TMAMFM
      PARAMETER (TMAMFM = 86)
      INTEGER TMAMPL
      PARAMETER (TMAMPL = 87)
*
*     TMXPxx: PMT for the liquid Xe photon detector
*
      INTEGER TMXPWD, TMXPSS, TMXPDY, TMXPGL, TMXPBS
      PARAMETER (TMXPWD = 76, TMXPSS = 77, TMXPDY = 78,
     +           TMXPGL = 79, TMXPBS = 80)
      INTEGER TMXPH1, TMXPH2, TMXPH3
      PARAMETER (TMXPH1 = TMXPBS, TMXPH2 = TMXPBS)
      PARAMETER (TMXPH3 = 83)
#if defined(MEGLIB_MYDOC)
***********************************************************************
*
*                  Sequence GMMATM
*                  for defining MATE and TMED numbers
*
***********************************************************************
*
* MAxxxx : material numbers
* TMxxxx : tracking medium numbers (INTEGER!)
*
***********************************************************************
#endif
