      REAL    VPXPWD,
     +        VPXPMT, VPXPSS, VPXPDY, VPXPGL, VPXPBS
      REAL    ZPXPWD, ZPXPSS, ZSXPDY, ZGXPDY, ZPXPGL, ZPXPBS
      REAL    RCATH,  PMTQEF
      COMMON /XECPMT/ VPXPWD(3),
     +        VPXPMT(3), VPXPSS(3), VPXPDY(3), VPXPGL(3), VPXPBS(3),
     +        ZPXPWD, ZPXPSS, ZSXPDY, ZGXPDY, ZPXPGL, ZPXPBS,
     +        RCATH,  PMTQEF
#if defined(MEGLIB_MYDOC)
***********************************************************************
*
*                  Sequence XECPMT
*                  for geometry of the PMT for the liquid Xe detector
*
***********************************************************************
*
* VPXPWD : shape parameters for volume XPWD
* VPXPMT : shape parameters for volume XPMT
* VPXPSS : shape parameters for volume XPSS
* VPXPDY : shape parameters for volume XPDY
* VPXPGL : shape parameters for volume XPGL
* VPXPBS : shape parameters for volume XPBS
* ZPXPWD : z position for volume XPWD
* ZPXPSS : z position for volume XPSS
* ZSXPDY : z start position for volume XPDYs
* ZGXPDY : z gap between two XPDY volumes
* ZPXPGL : z position for volume XPGL
* ZPXPBS : z position for volume XPBS
* RCATH  : PMT photo-cathode radius
* PMTQEF : PMT quantum efficiency which includes collection efficiency
*
***********************************************************************
#endif
