*
*-- GR for screen, MF for PS file
*
      INTEGER KWIDGR, KWIDMF, KONIGR, KONIMF, KWTMFO
      PARAMETER (KWIDGR=1, KWIDMF=2, KONIGR=1, KONIMF=2, KWTMFO=-112)
*
*-- Normalization transformation indices for standard views (STD),
*   header information (HD), and zoomed views (ZOM)
*
      INTEGER JSTD1, JSTD2, JSTD3, JSTD4, JTNRHD
      INTEGER JZOM1, JZOM2, JZOM3
      INTEGER JDUMMY
      PARAMETER (JSTD1 = 2, JSTD2 = 3, JSTD3 = 4, JSTD4 = 5, JTNRHD = 6)
      PARAMETER (JZOM1 = 7, JZOM2 = 8, JZOM3 = 9)
      PARAMETER (JDUMMY = 10)
*
*-- Window definitions in the world coordinate space (XNGWND)
*
      REAL    XLO1, XHI1, YLO1, YHI1
      REAL    XLO2, XHI2, YLO2, YHI2
      REAL    XLO3, XHI3, YLO3, YHI3
      REAL    XLO4, XHI4, YLO4, YHI4
*     PARAMETER (XLO1=-370., XHI1=370., YLO1=-370., YHI1=370.) !mdscan
      PARAMETER (XLO1= -80., XHI1= 80., YLO1= -60., YHI1=100.) !yz
      PARAMETER (XLO2=-120., XHI2=120., YLO2=-100., YHI2=140.) !xz
      PARAMETER (XLO3=-120., XHI3=120., YLO3=-120., YHI3=120.) !xy
      PARAMETER (XLO4=-150., XHI4=330.) !kam  YLO4,YHI4 in common block
*
*-- Normalization transformation used for yz, xz, xy views
*
      INTEGER JTNR1,  JTNR2,  JTNR3,  JTNR4
*
      INTEGER KWTYPE, KWTPSO
      INTEGER LX, LY
      REAL    RX ,RY, XMEPOS, YMEPOS, WMEPOS, RZOOM, XMZOOM, YMZOOM
      REAL    X1MENU, X2MENU, Y1MENU, Y2MENU
      INTEGER MSGON,  METAON, PSOPEN, IWRITE, IWPAT, N, NI, NR, NDIM
      INTEGER MDREAD, ISKLUM, ISKROP, ISKRO2, ISKTHL, ISKALM, ISKFIL
      INTEGER IPLTSI, ITYPE,  IROTVW
      INTEGER JLOGP,  JKAMC
      INTEGER JZOOM,  NUMBON, PSCOLO, JPMIS,  JETDRW
      REAL    XW, SW
      LOGICAL LDBAD
      CHARACTER*80 INNAME, CPIPE
      COMMON /XNGCOM/
     +        KWTYPE, KWTPSO, LX, LY, RX, RY,
     +        MSGON,  METAON, PSOPEN, IWRITE, IWPAT, N, NI, NR, NDIM,
     +        MDREAD, ISKLUM, ISKROP, ISKRO2, ISKTHL, ISKALM, ISKFIL,
     +        IPLTSI, ITYPE,  IROTVW,
     +        JTNR1,  JTNR2,  JTNR3,  JTNR4,
     +        X1MENU(10), X2MENU(10), Y1MENU(10), Y2MENU(10),
     +        XMEPOS, YMEPOS, WMEPOS, JZOOM,  RZOOM,  NUMBON, PSCOLO,
     +        XMZOOM, YMZOOM, JPMIS,  JETDRW,
     +        JLOGP,  JKAMC,  YLO4,   YHI4,   XW(3),  SW(3)
      COMMON /XNGCOL/ LDBAD
      COMMON /XNGCOC/ INNAME, CPIPE
#if defined(MEGLIB_MYDOC)
***********************************************************************
*
*                  Sequence XNGCOM
*                  for controlling graphics of XNSCAN
*
***********************************************************************
*
* MSGON  : =1: REPORT messages to terminal, =0: no REPORT messages
* METAON : =1: output to metafile enabled, =-1: disabled
* PSOPEN : =1: PostScript file already open, =0: not yet open
* MDREAD : number of events read in an input ntuple file
* ITYPE  : =1: xyz view, =2: Kamiokande-like plot
* PSCOLO : =1: color PostScript, =0: black & white PS
* JLOGP  : =1: log plot, =0: linear plot
* XW     : weighted mean position (x,y,z) set by XNEWGT or XNWGHT
* SW     : sigma of the position spread (x,y,z)
* INNAME : name of the input ntuple file
* CPIPE  : name of the named pipe special file to handle .gz ntuple
*
***********************************************************************
#endif
