      SUBROUTINE BFIFFR
*.
*...BFIFFR   Define FFREAD data cards for magnetic field
*.
*. SEQUENCE  : BFFLAG RCREP
*. CALLS     : FFKEY  VBLANK
*. CALLED    : GMIFFR
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mashimo
*. VERSION   : 1.02
*. CREATED   : 21-Apr-00
*. LAST MOD  : 16-May-00
*.
*. Modification Log.
*. 16-May-00   T.Mashimo       (V1.02) Change default values for LP.
*. 11-May-00   T.Mashimo       (V1.01) Change names: MFIFFR->BFIFFR,
*.                             mfflag.inc->bfflag.inc,
*.                             MAGFILE->BFILE (FFREAD data card), etc.
*.                             A new data card: BFIELD.
*. 21-Apr-00   T.Mashimo       (V1.00) First version.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "bfflag.inc"
#include "rcrep.inc"
*
*-- Set up default parameters
*
      IBFLD  = 0
      BFLDM  = 0.0
      FLDFAC = 1.0
      CALL VBLANK(LBFNAM, NAMLWO)
*
*-- Define FFREAD data cards
*
      CALL FFKEY('BFIELD', IBFLD,  3, 'MIXED')
      CALL FFKEY('BFILE',  LBFNAM, NAMLWO, 'MIXED')
*
  999 CONTINUE
      RETURN
      END
