      PROGRAM LPROTO
*.
*...MAIN     The main program for lproto.
*.
*. SEQUENCE  : GCFLAG
*. CALLS     : GRUN   GZEBRA HLIMIT HPLINT PRIREP TIMEST
*.           : UGINIT UGLAST
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mashimo
*. VERSION   : 1.00
*. CREATED   : 06-May-00
*. LAST MOD  : 06-May-00
*.
*. Modification Log.
*. 06-May-00   T.Mashimo       (V1.00) First version.
*.
*.**********************************************************************
*.
#include "declare.inc"
*
      INTEGER NZMEM,  NHMEM
      REAL    GEANTS, HBOOKS
*
#include "geant321/gcflag.inc"
*
*
#include "geant321/gcflag.inc"
*
#if !defined(MEGLIB_NZMEM)
      PARAMETER (NZMEM = 4000000)
#else
      PARAMETER (NZMEM = MEGLIB_NZMEM)
#endif
#if !defined(MEGLIB_NHMEM)
      PARAMETER (NHMEM = 2000000)
#else
      PARAMETER (NHMEM = MEGLIB_NHMEM)
#endif
*
      COMMON /GCBANK/ GEANTS(NZMEM)
      COMMON /PAWC/   HBOOKS(NHMEM)
*
      EXTERNAL GUKINE, GUOUT,  GUSTEP
*
      CALL GMLOAD(GUKINE, 'GUKINE', 'LPROTO')
      CALL GMLOAD(GUOUT,  'GUOUT ', 'LPROTO')
      CALL GMLOAD(GUSTEP, 'GUSTEP', 'LPROTO')
*
      CALL TIMEST(3.0E+07)
*
*-- Initialize HBOOK and GEANT memory
*
      CALL GZEBRA( NZMEM)
      CALL HLIMIT(-NHMEM)
*
*-- Open graphics system
*
      CALL HPLINT(0)
*
*-- GEANT initialization
*
      CALL UGINIT
*
*-- Start events processing
*
      CALL GRUN
*
*-- End of run
*
      CALL UGLAST
*
*-- Print REPORT summary
*
      CALL PRIREP
*
  999 CONTINUE
      STOP
      END
