      SUBROUTINE XNGINI(IWKTYP)
*.
*...XNGINI   Initialize graphics and XNSCAN
*.
*. SEQUENCE  : RCREP  XNCTRL XNGCOM
*. CALLS     : HPLINT IGQWK  ISCR
*.           : XNGWND
*. CALLED    : XNMAIN
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mori
*. VERSION   : 1.00
*. CREATED   : 12-Mar-99
*. LAST MOD  : 18-May-00
*.
*. Modification Log.
*. 18-May-00   T.Mashimo       (V1.00) First version based on
*.                             T. Mori's xegini.F.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "xnctrl.inc"
#include "xngcom.inc"
#include "rcrep.inc"
*
      INTEGER IWKTYP
*
      REAL    RVAL(2)
*
      ITYPE  =  1  ! select xyz view
      MSGON  =  1  ! no report message on terminal
      METAON = -1  ! no output to PS file
      PSOPEN =  0  ! PS file not open yet
      PSCOLO =  0  ! black-&-white picuture to PS file
      JZOOM  =  0  ! no zoom
      JLOGP  =  0  ! non-log (i.e. linear) plot
      JKAMC  =  0  ! kamiokande plot (nearby-deposit plot if =1)
*
      KWTYPE = IWKTYP   ! store graphic workstation type
      KWTPSO = KWTMFO   ! PS file type
*
*-- Initialize HIGZ and HPLOT
*
      CALL HPLINT(KWTYPE)
*
*     The following line slows down the program very much.
C     CALL IGSET('SYNC', 1.)
*
*-- Get maximal display surface (XMAX,YMAX)
*
***   CALL GQDSP(KWTYPE, ERRIND, IDCUNI, RX, RY, LX, LY)
      CALL IGQWK(KWIDGR, 'MXDS', RVAL)
      RX = RVAL(1)
      RY = RVAL(2)
*
*-- Set graphic windows
*
      CALL XNGWND
*
*-- Black background is better for event display.
*   Make it 'Dark blue' until the IRQLC cursor becomes visible...
*
C      CALL ISCR(KWIDGR, 0, 0.0, 0.0, 0.0)  ! black
      CALL ISCR(KWIDGR, 0, 0.0, 0.0, 0.5)  ! dark blue background
      CALL ISCR(KWIDGR, 1, 1.0, 1.0, 1.0)  ! white foreground
*
*-- Initialize command menu positions.
*
*     It seems that the menu positions in an IGMENU call should
*     be specified in a coordinate system where the screen
*     extends from 0.0 to 1.0 both in x and y directions.
*     (Of course, this is not the same as the NDC.)
*
      Y1MENU(1) = 0.80
      Y2MENU(1) = 0.98
      X1MENU(1) = 0.76*RY/RX
      X2MENU(1) = X1MENU(1) + (Y2MENU(1)-Y1MENU(1))*RY/RX*0.7
      Y1MENU(2) = Y1MENU(1)
      Y2MENU(2) = Y2MENU(1)
      X1MENU(2) = X1MENU(1)
      X2MENU(2) = X2MENU(1)
C      Y1MENU(2) = 0.70
C      Y2MENU(2) = 0.90
C      X2MENU(2) = 0.98
C      X1MENU(2) = X2MENU(2) - (Y2MENU(2)-Y1MENU(2))*RY/RX*0.7
*
*-- For handling "*.gz" input ntuple files
*
      CPIPE = ' '
*
      RETURN
      END
