      SUBROUTINE XNGWND
*.
*...XNGWND   Set normalization transformation
*.
*. SEQUENCE  : XNGCOM
*. CALLS     : ISWKWN ISWKVP
*.           : XNWNVP
*. CALLED    : XNGINI
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mori
*. VERSION   : 1.00
*. CREATED   : 12-Mar-99
*. LAST MOD  : 18-May-00
*.
*. Modification Log.
*. 18-May-00   T.Mashimo       (V1.00) First version based on
*.                             T. Mori's xegwnd.F.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "xngcom.inc"
*
      REAL YMAX, WSMAL
*
      YMAX = RY/RX
C      WSMAL = (1. - YMAX)*1.2
C      IF (WSMAL .LT. 0.2) WSMAL = YMAX/2.
*
*-- Map the whole screen to (0,0)-(1,YMAX) normalized coordinate
*
      CALL ISWKWN(KWIDGR, 0., 1., 0., YMAX)
      CALL ISWKVP(KWIDGR, 0., RX, 0., RY)
*
*-- World coordinate for ev. header
*
      CALL XNWNVP(JTNRHD)
*
*-- World coordinate for standard views
*
      CALL XNWNVP(JSTD1)
      CALL XNWNVP(JSTD2)
      CALL XNWNVP(JSTD3)
      CALL XNWNVP(JSTD4)
      CALL XNWNVP(JDUMMY)  ! dummy view
*
*-- Set default view ports
*
      JTNR1 = JSTD1    ! view 1 <= yz
      JTNR2 = JSTD2    ! view 2 <= xz
      JTNR3 = JSTD3    ! view 3 <= xy
      JTNR4 = JSTD4    ! kam plot
*
      END
