      SUBROUTINE XNHEAD
*.
*...XNHEAD   Draw an event header
*.
*. SEQUENCE  : NTUPLE RCREP  XNCGEO XECINT XNCTRL XNGCOM
*. CALLS     : IPL    ISCHH  ISCHUP ISELNT ISPLCI
*.           : ISTXAL ISTXCI ISTXFP ITX
*. CALLED    : XNDRAW
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mori
*. VERSION   : 1.01
*. CREATED   : 12-Mar-99
*. LAST MOD  : 03-Jul-02
*.
*. Modification Log.
*. 03-Jul-02   K.Ozone         (V1.01) Change ZFIRST to XINTR(3)
*. 15-Jan-01   T.Mashimo       (V1.00) First version based on
*.                             T. Mori's xehead.F.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "xecgeo.inc"
#include "xecint.inc"
#include "ntuple.inc"
#include "xnctrl.inc"
#include "xngcom.inc"
#include "gksenum.inc"
#include "rcrep.inc"
*
      REAL PX(5), PY(5), YIS
      CHARACTER*80 REVT, REVT1
      CHARACTER*30 STR
*
      CALL ISELNT(JTNRHD)
      CALL ISPLCI(1)
      CALL ISTXCI(1)
*
      CALL ISLN(GLSOLI)
      PX(1) = -880.
      PY(1) =  770.
      PX(2) =  450.
      PY(2) =  770.
      PX(3) =  450.
      PY(3) =  860.
      PX(4) = -880.
      PY(4) =  860.
      PX(5) = -880.
      PY(5) =  770.
      CALL IPL(5, PX, PY)
*
C     IF (MCARLO .EQ. 1) THEN
         WRITE(REVT, 1000) EVENT, EIN*1000., DEXE*1000.
 1000    FORMAT('MC Event ', I6,
     +          '  Egam ', F7.3, 'MeV  Exe ', F7.3, 'MeV')
         WRITE(REVT1, 1001) XIN, YIN, XINTR(3),
     +        FLOAT(NSUM)/FLOAT(NTOTPE)
 1001    FORMAT(' (', F5.1, ',', F5.1, ',', F5.1,') ', F7.4)
C        ELSE
C     END IF
*
      CALL ISTXAL(GALEFT, GAHALF)
      CALL ISCHUP(0., 1.)
      CALL ISCHH(60.)
*
      CALL ISTXFP(0, 2)
      CALL ITX(-880., 815., 'XeCAL ')
*
      CALL ISTXFP(0, 2)
      CALL ISTXAL(GALEFT, GABOTT)
      CALL ISCHH(25.)
      CALL ITX(-590., 820., REVT)
      CALL ITX(-590., 780., REVT1)
*
      CALL ISTXAL(GALEFT, GATOP)
      CALL ISCHH(20.)
*
      YIS = 760.
      WRITE(STR, 1010) NSUM
 1010 FORMAT('Total Npe ', I7)
      CALL ITX(-890., YIS, STR)
      YIS = YIS - 30.
      WRITE(STR, 1020) NPEW(5), NPEW(6)
 1020 FORMAT('front rear ', 2I7)
      CALL ITX(-890., YIS, STR)
      YIS = YIS - 30.
      WRITE(STR, 1030) NPEW(3), NPEW(4)
 1030 FORMAT('+-Y side  ', 2I7)
      CALL ITX(-890., YIS, STR)
      YIS = YIS - 30.
      WRITE(STR, 1040) NPEW(1), NPEW(2)
 1040 FORMAT('+-X side  ', 2I7)
      CALL ITX(-890., YIS, STR)
*
      RETURN
      END
