      SUBROUTINE XNPSON
*.
*...XNPSON   Activate PostScript file.
*.           Open it if this is the first call.
*.
*. SEQUENCE  : XNGCOM
*. CALLS     : ISCR   ISFACI ISFAIS IGMETA IGRNG
*. CALLED    : XNDRAW
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mori
*. VERSION   : 1.00
*. CREATED   : 12-Mar-99
*. LAST MOD  : 18-May-00
*.
*. Modification Log.
*. 18-May-00   T.Mashimo       (V1.00) First version based on
*.                             T. Mori's xepson.F.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "xngcom.inc"
#include "gksenum.inc"
*
*-- Correct funny WS type for PS file
*
      IF ( (KWTPSO .LT. -115 .OR. KWTPSO .GT. -111)
     +     .AND. (KWTPSO .NE. 4)                  ) KWTPSO = KWTMFO
*
*-- Activate PS file if it's off
*
      IF ( METAON .EQ. -1 ) THEN
*
*-- Open a PS file for first time
*
         IF ( PSOPEN .EQ. 0 ) THEN
            PSOPEN = 1
            OPEN(KONIMF, FILE='xnscan.ps',
     +                   STATUS='UNKNOWN', FORM='FORMATTED')
         END IF
*
*-- Direct output to the PS file
*
         CALL IGMETA( KONIMF, KWTPSO)     ! to both PS and screen
C        CALL IGMETA(-KONIMF, KWTPSO)     ! to PS only
*
*-- Set graphic attributes to PS file
*
         IF (PSCOLO .EQ. 0) THEN
            CALL ISCR(KWIDMF, 0, 1.0, 1.0, 1.0) ! white background
            CALL ISCR(KWIDMF, 1, 0.0, 0.0, 0.0) ! black foreground
            CALL ISCR(KWIDMF, 2, 0.0, 0.0, 0.0) ! all other colors
            CALL ISCR(KWIDMF, 3, 0.0, 0.0, 0.0) !   set to black
            CALL ISCR(KWIDMF, 4, 0.0, 0.0, 0.0)
            CALL ISCR(KWIDMF, 5, 0.0, 0.0, 0.0)
            CALL ISCR(KWIDMF, 6, 0.0, 0.0, 0.0)
            CALL ISCR(KWIDMF, 7, 0.0, 0.0, 0.0)
         ELSE
            CALL ISCR(KWIDMF, 0, 0.0, 0.0, 0.5)  ! dark blue background
C           CALL ISCR(KWIDMF, 0, 0.0, 0.0, 0.0)  ! -black background
            CALL ISCR(KWIDMF, 1, 1.0, 1.0, 1.0)  ! white foreground
            CALL ISCR(KWIDMF, 2, 1.0, 0.0, 0.0)  ! other colors
            CALL ISCR(KWIDMF, 3, 0.0, 1.0, 0.0)  !   turned back on
            CALL ISCR(KWIDMF, 4, 0.0, 0.0, 1.0)
            CALL ISCR(KWIDMF, 5, 1.0, 1.0, 0.0)
            CALL ISCR(KWIDMF, 6, 1.0, 0.0, 1.0)
            CALL ISCR(KWIDMF, 7, 0.0, 1.0, 1.0)
            CALL ISFACI(0) !mori  background color
            CALL ISFAIS(1) !mori  solid filling
         END IF
*
*-- Set the picture size in cm
*
         CALL IGRNG(20., 20.)
*
      END IF
*
*-- Mark PS file is on
*
      METAON = 1
*
      RETURN
      END
