      SUBROUTINE XNIKU
      CHARACTER*1 BS1
      PARAMETER (BS1='\\')
      PARAMETER (MGUIDL=199)
      CHARACTER*80 GUID
      COMMON /KCGUID/ GUID(MGUIDL)
      EXTERNAL XNFILE
      EXTERNAL XNTRIG
      EXTERNAL XNNEXT
      EXTERNAL XNSKIP
      EXTERNAL XNGOTO
      EXTERNAL XNDRAW
      EXTERNAL XNPSCO
      EXTERNAL XNLINW

      CALL KUCMD(' ','XNSCAN','C')
      GUID(1)='XNSCAN interactive commands: main menu'
      CALL KUGUID('XNSCAN',GUID,1,'S')

      CALL KUCMD('XNSCAN',' ','SW')

      CALL KUCMD(' ','FILE','C')
      CALL KUPAR('FILE','INNAME','Input filename','C','S')
      CALL KUPVAL('FILE','INNAME',0,0.,' ','D')
      GUID(1)='filedef input file.'
      CALL KUGUID('FILE',GUID,1,'S')
      CALL KUACT('FILE',XNFILE)

      CALL KUCMD(' ','TRIG','C')
      CALL KUPAR('TRIG','IEVENT','ntuple sequential event number','IO',
     +'S')
      CALL KUPVAL('TRIG','IEVENT',1,0.,' ','D')
      GUID(1)='Get a new event with specified ntuple sequential event nu
     +mber.'
      CALL KUGUID('TRIG',GUID,1,'S')
      CALL KUACT('TRIG',XNTRIG)

      CALL KUCMD(' ','NEXT','C')
      GUID(1)='Get the next event and draw it.'
      CALL KUGUID('NEXT',GUID,1,'S')
      CALL KUACT('NEXT',XNNEXT)

      CALL KUCMD(' ','SKIP','C')
      CALL KUPAR('SKIP','NSKIP','number of events to skip','IO','S')
      CALL KUPVAL('SKIP','NSKIP',1,0.,' ','D')
      GUID(1)='Skip and get NSKIP-th event.'
      CALL KUGUID('SKIP',GUID,1,'S')
      CALL KUACT('SKIP',XNSKIP)

      CALL KUCMD(' ','GOTO','C')
      CALL KUPAR('GOTO','IEVGET','Event number','I','S')
      CALL KUPVAL('GOTO','IEVGET',1,0.,' ','D')
      GUID(1)='Get a new event.  IEVGET is real event number.'
      CALL KUGUID('GOTO',GUID,1,'S')
      CALL KUACT('GOTO',XNGOTO)

      CALL KUCMD(' ','DRAW','C')
      GUID(1)='Draw an event.'
      CALL KUGUID('DRAW',GUID,1,'S')
      CALL KUACT('DRAW',XNDRAW)

      CALL KUCMD(' ','PSCOLOR','C')
      CALL KUPAR('PSCOLOR','IPSCOL','=1 color, =0 black and white','I',
     +'S')
      CALL KUPVAL('PSCOLOR','IPSCOL',0,0.,' ','D')
      GUID(1)='toggle color and black & white PS file.'
      CALL KUGUID('PSCOLOR',GUID,1,'S')
      CALL KUACT('PSCOLOR',XNPSCO)

      CALL KUCMD(' ','LINEWIDTH','C')
      CALL KUPAR('LINEWIDTH','WSCALE','Line width scale factor','R','S')
      CALL KUPVAL('LINEWIDTH','WSCALE',0,0.,' ','D')
      GUID(1)='Change line width.'
      CALL KUGUID('LINEWIDTH',GUID,1,'S')
      CALL KUACT('LINEWIDTH',XNLINW)

      CALL KUCMD('..',' ','SW')

      CALL KUCMD('/',' ','SW')

      END
