	REAL*8 ELCE0, ELCAD, ELCD
	REAL*8 PHTE1
	REAL*8 COLD, COLR
*
	COMMON /AIST/ ELCE0, ELCAD, ELCD, PHTE1, COLD, COLR
*
#if defined(MEGLIB_MYDOC)
***********************************************************************
*
*                  Sequence AIST
*                  for generating the Compton edge gamma energy dist.
*
***********************************************************************
*
* ELCE0  : Mean of electron beam energy
* ELCAD  : electron beam angular divergence
* ELCD   : bunch size of electron beam
* PHTE1  : Energy of incidental photon at laboratory frame in MeV
* COLD   : Distance between collision point and 2nd collimator in m
* COLR   : Radius of the 2nd collimator in m
*
***********************************************************************
#endif
