*CMZ :  4.02/02 30/03/93  19.05.51  by  T. Mori
*-- Author :
*******************************
*   Included in PAMfile in case you don't have the GKS3D ENUM file available.
*******************************
C
C     ENUM.INC
C     GKS and GKS-3D Enumeration Types
C     ISO/DIS-8651/1 & ISO/TC97/SC21-N1174
C     (Last Update: 11-07-87)
C
C  aspect source:  bundled  individual
      INTEGER     GBUNDL,    GINDIV
      PARAMETER  (GBUNDL=0,  GINDIV=1)
C
C clear control flag:  conditionally, always
      INTEGER     GCONDI,    GALWAY
      PARAMETER  (GCONDI=0,  GALWAY=1)
C
C clipping disable and enable
      INTEGER     GNCLIP,    GCLIP
      PARAMETER  (GNCLIP=0,  GCLIP=1)
C
C colour available:  monochrome, colour
      INTEGER     GMONOC,    GCOLOR
      PARAMETER  (GMONOC=0,  GCOLOR=1)
C
C coordinate switch:  World Coordinates, Normalized Device Coordinates
      INTEGER     GWC,       GNDC
      PARAMETER  (GWC=0,     GNDC=1)
C
C deferral mode:   ASAP,      BNIL,       BNIG,      ASTI
      INTEGER     GASAP,     GBNIL,      GBNIG,     GASTI
      PARAMETER  (GASAP=0,   GBNIL=1,    GBNIG=2,   GASTI=3)
C
C detectability:   undetectable, detectable
      INTEGER     GUNDET,    GDETEC
      PARAMETER  (GUNDET=0,  GDETEC=1)
C
C device coordinate units: meters,  other
      INTEGER     GMETRE,    GOTHU
      PARAMETER  (GMETRE=0,  GOTHU=1)
C
C display surface: empty  not-empty,  empty
      INTEGER     GNEMPT,    GEMPTY
      PARAMETER  (GNEMPT=0,  GEMPTY=1)
C
C dynamic modification: IRG,      IMM
      INTEGER     GIRG,      GIMM
      PARAMETER  (GIRG=0,    GIMM=1)
C
C echo switch:   no-echo, echo
      INTEGER     GNECHO,    GECHO
      PARAMETER  (GNECHO=0,  GECHO=1)
C
C fill area interior style:  hollow, solid, pattern, hatch
      INTEGER     GHOLLO,    GSOLID,    GPATTR,    GHATCH
      PARAMETER  (GHOLLO=0,  GSOLID=1,  GPATTR=2,  GHATCH=3)
C
C highlighting:   normal,  highlighted
      INTEGER     GNORML,    GHILIT
      PARAMETER  (GNORML=0,  GHILIT=1)
C
C input device status:   none,  ok,  no-pick,  no-choice
      INTEGER     GNONE,     GOK,       GNPICK,    GNCHOI
      PARAMETER  (GNONE=0,   GOK=1,     GNPICK=2,  GNCHOI=2)
C
C input class: none, locator, stroke, valuator, choice, pick, string
      INTEGER GNCLAS, GLOCAT, GSTROK, GVALUA, GCHOIC, GPICK, GSTRIN
 
      PARAMETER (GNCLAS=0, GLOCAT=1, GSTROK=2, GVALUA=3, GCHOIC=4, GPICK
     +=5, GSTRIN=6)
C
C implicit regeneration: mode suppressed, allowed
      INTEGER      GSUPPD,    GALLOW
      PARAMETER   (GSUPPD=0,  GALLOW=1)
C
C level of GKS:   L0a,  L0b,  L0c,  L1a,  L1b,  L1c,  L2a,  L2b,  L2c
      INTEGER GL0A, GL0B, GL0C, GL1A, GL1B, GL1C, GL2A, GL2B, GL2C
 
      PARAMETER (GL0A=0, GL0B=1, GL0C=2, GL1A=3, GL1B=4, GL1C=5, GL2A=6,
     +GL2B=7, GL2C=8)
C
C new frame action necessary: no, yes
      INTEGER     GNO,       GYES
      PARAMETER  (GNO=0,     GYES=1)
C
C operating mode:     request,    sample,    event
      INTEGER     GREQU,      GSAMPL,    GEVENT
      PARAMETER  (GREQU=0,    GSAMPL=1,  GEVENT=2)
C
C operating state value: GKS closed, GKS open, Workstation open,
C                 Workstation active, Segment open
      INTEGER     GGKCL,     GGKOP,     GWSOP,     GWSAC,   GSGOP
      PARAMETER  (GGKCL=0,   GGKOP=1,   GWSOP=2,   GWSAC=3, GSGOP=4)
C
C presence of invalid values:  absent, present
      INTEGER     GABSNT,    GPRSNT
      PARAMETER  (GABSNT=0,  GPRSNT=1)
C
C regeneration flag:   postpone,   perform
      INTEGER     GPOSTP,    GPERFO
      PARAMETER  (GPOSTP=0,  GPERFO=1)
C
C relative input priority:  higher,  lower
      INTEGER     GHIGHR,    GLOWER
      PARAMETER  (GHIGHR=0,  GLOWER=1)
C
C simultaneous events flag: no-more, more
      INTEGER     GNMORE,   GMORE
      PARAMETER  (GNMORE=0, GMORE=1)
C
C text alignment: horizontal normal, left, center, right
      INTEGER     GAHNOR,    GALEFT,    GACENT,    GARITE
      PARAMETER  (GAHNOR=0,  GALEFT=1,  GACENT=2,  GARITE=3)
C
C text alignment: vertical  normal, top, cap, half, base, bottom
      INTEGER GAVNOR, GATOP, GACAP, GAHALF, GABASE, GABOTT
 
      PARAMETER (GAVNOR=0, GATOP=1, GACAP=2, GAHALF=3, GABASE=4, GABOTT
     +=5)
C
C text path:    right,  left,   up,   down
      INTEGER     GRIGHT,    GLEFT,     GUP,       GDOWN
      PARAMETER  (GRIGHT=0,  GLEFT=1,   GUP=2,     GDOWN=3)
C
C text precision:     string,   character,   stroke
      INTEGER     GSTRP,     GCHARP,    GSTRKP
      PARAMETER  (GSTRP=0,   GCHARP=1,  GSTRKP=2)
C
C type of returned values:  set, realized
      INTEGER     GSET,      GREALI
      PARAMETER  (GSET=0,    GREALI=1)
C
C update state:     not-pending, pending
      INTEGER     GNPEND,    GPEND
      PARAMETER  (GNPEND=0,  GPEND=1)
C
C vector/raster/other: type vector, raster, other
      INTEGER     GVECTR,    GRASTR,    GOTHWK
      PARAMETER  (GVECTR=0,  GRASTR=1,  GOTHWK=2)
C
C visibility: invisible, visible
      INTEGER     GINVIS,    GVISI
      PARAMETER  (GINVIS=0,  GVISI=1)
C
C projection type for 3D: Parallel or Perspective
      INTEGER     GPARL,     GPERS
      PARAMETER  (GPARL=0,   GPERS=1)
C
C workstation category: Output, Input, Output+Input, Workstation
C Independent Segment Storage, Metafile Output, Metafile Input
      INTEGER GOUTPT, GINPUT, GOUTIN, GWISS, GMO, GMI
 
      PARAMETER (GOUTPT=0, GINPUT=1, GOUTIN=2, GWISS=3, GMO=4, GMI=5)
 
C
C workstation state:  inactive, active
      INTEGER     GINACT,    GACTIV
      PARAMETER  (GINACT=0,  GACTIV=1)
C
C list of GDP attributes:  polyline, polymarker, text, fill area
      INTEGER     GPLATT,    GPMATT,    GTXATT,    GFAATT
      PARAMETER  (GPLATT=0,  GPMATT=1,  GTXATT=2,  GFAATT=3)
C
C list of GDP attributes extended to 3D: Fill Area Set & Edge Attributes
      INTEGER     GFSATT,    GEDATT
      PARAMETER  (GFSATT=4,  GEDATT=5)
C
C Fill Area Set Edge Attribute Swtitch: Edge On, Edge Off
      INTEGER     GOFF,      GON
      PARAMETER  (GOFF=0,    GON=1)
C
C line type:    solid,   dash,   dot,   dash-dot
      INTEGER     GLSOLI,    GLDASH,    GLDOT,     GLDASD
      PARAMETER  (GLSOLI=1,  GLDASH=2,  GLDOT=3,   GLDASD=4)
C
C marker type:   '.',   '+',   '*',   'o',   'x'
      INTEGER     GPOINT,    GPLUS,     GAST,      GOMARK,   GXMARK
      PARAMETER  (GPOINT=1,  GPLUS=2,   GAST=3,    GOMARK=4, GXMARK=5)
C
C For use in Inquiry Functions returning both Current & Requested Values
      INTEGER     GCURVL,    GRQSVL
      PARAMETER  (GCURVL=0,  GRQSVL=1)
C
