      INTEGER NAMLEN, NAMLWO
      PARAMETER (NAMLEN = 80, NAMLWO = NAMLEN/4)
      INTEGER LUNREP, LUNHBK, LUNPS
      INTEGER LHBNAM, LPSNAM
      INTEGER NTUPON
      INTEGER SUMOUT, NPEOUT, EXPOUT, DEPOUT
      INTEGER DSTSW, DSTHID
      INTEGER XHNAM, YHNAM, ZHNAM, THNAM, PHNAM, MHNAM
      REAL    MOMTM
      REAL    CUTXYZ
      INTEGER HCRLON
      INTEGER GASXEON  
      INTEGER TIMEOUT
      COMMON /LPFLAG/
     +        LUNREP, LUNHBK, LUNPS,
     +        LHBNAM(NAMLWO), LPSNAM(NAMLWO),
     +        NTUPON,
     +        SUMOUT, NPEOUT, EXPOUT, DEPOUT,
     +        DSTSW(6), DSTHID(6),
     +        XHNAM(NAMLWO), YHNAM(NAMLWO), ZHNAM(NAMLWO), 
     +        PHNAM(NAMLWO), THNAM(NAMLWO), MHNAM(NAMLWO), 
     +        MOMTM(2),
     +        CUTXYZ,
     +        HCRLON,
     +        GASXEON,
     +        TIMEOUT
#if defined(MEGLIB_MYDOC)
***********************************************************************
*
*                  Sequence LPFLAG
*                  for flags and variables to control the run
*
***********************************************************************
*
* LUNREP : LUN for REPORT
* LUNHBK : LUN for output HBOOK file
* LUNPS  : LUN for output PostScript file
* LHBNAM : FFREAD array for reading the name of the HBOOK file
* LPSNAM : FFREAD array for reading the name of the PS file
* NTUPON : =1: make ntuple, =0: no ntuple
* SUMOUT : switch for NTOTPE,NSUM,NPEW(6) in ntuple
* NPEOUT : switch for NPE(# of PMTs) in ntuple
* EXPOUT : switch for CADC(228) in ntuple
* DEPOUT : switch for NDEPO[0,3000],XDEPOS(4,NDEPO) in ntuple
* DSTSW  : CARD for distribution styles of x,y,z,theta,phi,momentum
* DSTHID : histogram ID in RZ file for x,y,z,theta,phi,momentum
* ?HNAM  : CARD for histogram file name
* MOMTM  : momentum range; 1:lower, 2:upper
* CUTXYZ : momentum cut for GSXYZ in GUSTEP (in MeV)
* HCRLON : realistic honeycomb core
* GASXEON: gas xenon
* TIMEOUT : switch for XDEPOS(5,NDEPO) in ntuple
*
***********************************************************************
#endif
