      SUBROUTINE UGLAST
*.
*...UGLAST   Termination routine
*.
*. SEQUENCE  : LPFLAG NTUPLE AIST
*. CALLS     : GLAST  HCDIR  HISTDO HREND  HROUT  IGEND  USLAST HDELETE
*. CALLED    : MAIN
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mashimo
*. VERSION   : 1.02
*. CREATED   : 06-May-00
*. LAST MOD  : 06-Jul-02
*.
*. Modification Log.
*. 06-Jul-02   K.Ozone         (V1.02) delete loop for given histograms
*. 31-Mar-02   K.Ozone         (V1.01) delete histogram of energy dist
*. 06-May-00   T.Mashimo       (V1.00) First version.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "lpflag.inc"
#include "aistcg.inc"
*
      INTEGER I
      INTEGER ICYCLE
      CHARACTER*80 CHBNAM
*
*-- Close GEANT
*
      CALL GLAST
*
*-- Close HIGZ file
*
      CALL IGEND
*
*-- User's last chance to do anything
*
      CALL USLAST
*
*-- Print and/or save histograms
*
      CALL HCDIR('//PAWC', ' ')
      CALL HISTDO
*
      CALL UHTOC(LHBNAM, 4, CHBNAM, NAMLEN)
      IF (CHBNAM .NE. ' ') THEN
         DO I=1,6
            IF (DSTSW(I) .EQ. 1) CALL HDELET(DSTHID(I))
         END DO
         IF (DSTSW(6) .EQ. 3) CALL HDELET(DSTHID(6))
         CALL HCDIR('//PAWC', ' ')
         CALL HCDIR('//HISTO', ' ')
         CALL HROUT(0, ICYCLE, 'NT')
         CALL HREND('HISTO')
         CALL HCDIR('//PAWC', ' ')
      END IF
*
  999 CONTINUE
      RETURN
      END
