      SUBROUTINE XEGPAR
*.
*...XEGPAR   Print geometry parameters for the liquid Xe detector
*.
*. SEQUENCE  : RCREP  XECGEO XECPMT
*. CALLS     : REPORT
*. CALLED    : UGINIT
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mashimo
*. VERSION   : 1.00
*. CREATED   : 05-Apr-00
*. LAST MOD  : 05-Apr-00
*.
*. Modification Log.
*. 05-Apr-00   T.Mashimo       (V1.00) First version.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "xecgeo.inc"
#include "xecpmt.inc"
#include "rcrep.inc"
*
      WRITE(CHREP, '(''# of PMTs in X/Y/Z direction: '', 3I5)' )
     +      NXPMT, NYPMT, NZPMT
      CALL REPORT('XEGPAR', 1, 'INFO')
*
      WRITE(CHREP,
     +     '(''Distance between two adjacent PMTs: '', F7.2, '' cm'')')
     +      PMTINT
      CALL REPORT('XEGPAR', 2, 'INFO')
*
  900 CONTINUE
  999 CONTINUE
      RETURN
      END
