      SUBROUTINE XNGOTO
*.
*...XNGOTO   Go and read an event with a specified event number
*.
*. SEQUENCE  : NTUPLE RCREP  XECGEO XECINT XNCTRL
*. CALLS     : KUGETI XNTRI
*. CALLED    : XNIKU
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mori
*. VERSION   : 1.00
*. CREATED   : 12-Mar-99
*. LAST MOD  : 18-May-00
*.
*. Modification Log.
*. 18-May-00   T.Mashimo       (V1.00) First version based on
*.                             T. Mori's xegoto.F.  NEVT -> IEVENT.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "xecgeo.inc"
#include "xecint.inc"
#include "ntuple.inc"
#include "xnctrl.inc"
#include "rcrep.inc"
*
      INTEGER IEVT, IRET
*
      CALL KUGETI(IEVT)
      WRITE(CHREP, '(''Try to read event'', I10)') IEVT
      CALL REPORT('XNGOTO', 1, 'INFO')
*
*-- Read the event
*
  100 CONTINUE
      IRET = IEVENT + 1  ! seq number of next event
      CALL XNTRI(IRET)
      IF (IRET .EQ. 0) THEN
         IF (EVENT .NE. IEVT) THEN
            GOTO 100
         ELSE
            WRITE(CHREP, '(''Successfully found'')')
            CALL REPORT('XNGOTO', 2, 'INFO')
         END IF
      END IF
*
      RETURN
      END
