      SUBROUTINE XNPSBG
*.
*...XNPSBG   Make black background for color PS
*.
*. SEQUENCE  : XNGCOM
*. CALLS     : IFA    ISELNT ISFACI ISFAIS
*. CALLED    : XNDRAW
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mori
*. VERSION   : 1.00
*. CREATED   : 09-Nov-93
*. LAST MOD  : 18-May-00
*.
*. Modification Log.
*. 18-May-00   T.Mashimo       (V1.00) First version based on
*.                             T. Mori's xepsbg.F.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "xngcom.inc"
*
      REAL XLO, XHI, YLO, YHI
* -- large enough size to cover whole screen ...may take cpu time...
      PARAMETER (XLO = -250., XHI = 250., YLO = -200., YHI = 200.)
*
      REAL XFIL(5), YFIL(5)
      SAVE XFIL, YFIL
      DATA XFIL / 2*XLO, 2*XHI, XLO /
      DATA YFIL / YHI, 2*YLO, 2*YHI /
*
*-- Set graphic attributes
*
      CALL ISFACI(0)    ! background color
      CALL ISFAIS(1)    ! solid filling
*
*-- Fill the background in each view
*-- fill the whole picture even if it is zoomed...
*
      CALL ISELNT(JTNR1)
      CALL IFA(5, XFIL, YFIL)
*
      CALL ISELNT(JTNR2)
      CALL IFA(5, XFIL, YFIL)
*
      CALL ISELNT(JTNR3)
      CALL IFA(5, XFIL, YFIL)
*
      CALL ISELNT(JTNR4)
      CALL IFA(5, XFIL, YFIL)
*
      RETURN
      END
