      SUBROUTINE XNPSOF
*.
*...XNPSOF   De-activate PostScript file.
*.
*. SEQUENCE  : XNGCOM
*. CALLS     : ISCR   IGMETA
*. CALLED    : XNDRAW
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mori
*. VERSION   : 1.00
*. CREATED   : 12-Mar-99
*. LAST MOD  : 18-May-00
*.
*. Modification Log.
*. 18-May-00   T.Mashimo       (V1.00) First version based on
*.                             T. Mori's xepsof.F.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "xngcom.inc"
*
      IF ( METAON .EQ. 1 ) THEN
*
*-- Set graphic attributes back to original
*
         IF (KWTYPE .EQ. 7878) THEN
            CALL ISCR(KWIDMF, 0, 1.0, 1.0, 1.0) ! white background
            CALL ISCR(KWIDMF, 1, 0.0, 0.0, 0.0) ! black foreground
            CALL ISCR(KWIDMF, 2, 0.0, 0.0, 0.0) ! all other colors
            CALL ISCR(KWIDMF, 3, 0.0, 0.0, 0.0) !   set to black
            CALL ISCR(KWIDMF, 4, 0.0, 0.0, 0.0)
            CALL ISCR(KWIDMF, 5, 0.0, 0.0, 0.0)
            CALL ISCR(KWIDMF, 6, 0.0, 0.0, 0.0)
            CALL ISCR(KWIDMF, 7, 0.0, 0.0, 0.0)
         ELSE
            CALL ISCR(KWIDMF, 0, 0.0, 0.0, 0.5) ! dark blue background
C           CALL ISCR(KWIDMF, 0, 0.0, 0.0, 0.0) ! -black background
            CALL ISCR(KWIDMF, 1, 1.0, 1.0, 1.0) ! white foreground
            CALL ISCR(KWIDMF, 2, 1.0, 0.0, 0.0) ! other colors
            CALL ISCR(KWIDMF, 3, 0.0, 1.0, 0.0) !   turned back on
            CALL ISCR(KWIDMF, 4, 0.0, 0.0, 1.0)
            CALL ISCR(KWIDMF, 5, 1.0, 1.0, 0.0)
            CALL ISCR(KWIDMF, 6, 1.0, 0.0, 1.0)
            CALL ISCR(KWIDMF, 7, 0.0, 1.0, 1.0)
         END IF
*
*-- Direct output to screen only
*
C        CALL IDAWK(KWIDMF)      ! IGMETA does this
         CALL IGMETA(0, KWTPSO)
C-       CALL ICLWK(KWIDMF)      !   - not close PS
C-       CLOSE(KONIMF)           !
      END IF
*
*-- Mark PS file is off
*
      METAON = -1
*
      RETURN
      END
