      SUBROUTINE XNZOOM
*.
*...XNZOOM   Zoom the view; only the first vew can be zoomed
*.
*. SEQUENCE  : XNGCOM
*. CALLS     : IGLOC2 ISVP   ISWN
*. CALLED    : XNDRAW
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mori
*. VERSION   : 1.00
*. CREATED   : 12-Mar-99
*. LAST MOD  : 18-May-00
*.
*. Modification Log.
*. 18-May-00   T.Mashimo       (V1.00) First version based on
*.                             T. Mori's xezoom.F.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "xngcom.inc"
*
      INTEGER NT, ISTAT
      REAL*4  X1, X2, Y1, Y2
      REAL*4  DXY
*
*-- Standard view only
*
      IF (ITYPE .EQ. 1) THEN
         NT = JSTD1   ! Zoom the 1st view only (normally yz view)
      ELSE
         NT = JSTD4
      END IF
*
*-- Get the zoom region from the mouse
*
      CALL IGLOC2(KWIDGR, NT, X1, Y1, X2, Y2, ISTAT, 'P') 
C     CALL IGLOC2(KWIDGR, NT, X1, Y1, X2, Y2, ISTAT, ' ')
      XMZOOM = 0.5*(X1+X2)
      YMZOOM = 0.5*(Y1+Y2)
      DXY = 0.5*AMAX1(ABS(X1-X2),ABS(Y1-Y2))
*
*-- Get the zoom factor
*
      RZOOM = ABS(XHI1/DXY)
*
*-- Set the window and view port
*
      JZOOM = 1
C         XMEPOS = XMZOOM - DXY*3./4.                ! for scale bar
C         YMEPOS = YMZOOM - DXY*3./4.                !
C         WMEPOS = 10.**(NINT(ALOG10(DXY/4.)))       !
      CALL ISWN(NT, XMZOOM-DXY, XMZOOM+DXY, YMZOOM-DXY, YMZOOM+DXY)
      CALL ISVP(NT, 0., RY/RX, 0., RY/RX)
*
      RETURN
      END
